import request from '@/utils/request'

// 查询装置会议执行列表
export function listActionlist(query) {
  return request({
    url: '/plant/actionlist/list',
    method: 'get',
    params: query
  })
}
//
export function actionStatusData(query) {
  return request({
    url: '/plant/actionlist/actionStatusData',
    method: 'get',
    params: query
  })
}
// 查询装置会议执行详细
export function getActionlist(id) {
  return request({
    url: '/plant/actionlist/' + id,
    method: 'get'
  })
}

// 新增装置会议执行
export function addActionlist(data) {
  return request({
    url: '/plant/actionlist',
    method: 'post',
    data: data
  })
}

// 修改装置会议执行
export function updateActionlist(data) {
  return request({
    url: '/plant/actionlist',
    method: 'put',
    data: data
  })
}

// 删除装置会议执行
export function delActionlist(id) {
  return request({
    url: '/plant/actionlist/' + id,
    method: 'delete'
  })
}

// 导出装置会议执行
export function exportActionlist(query) {
  return request({
    url: '/plant/actionlist/export',
    method: 'get',
    params: query
  })
}
